<?php

	# get correct id for plugin
	$thisfile=basename(__FILE__, ".php");

	i18n_merge('massiveAdmin') || i18n_merge('massiveAdmin','en_US');

	# register plugin
	register_plugin(
		$thisfile, //Plugin id
		'Massive Admin Theme', 	//Plugin name
		'1.7', 		//Plugin version
		'Mateusz Skrzypczak',  //Plugin author
		'https://multicolor.stargard.pl', //author website
		'Admin theme with new function', //Plugin description
		'settings', //page type - on which admin tab to display
		'massiveOption'  //main function (administration)
	);

	$MassiveAdminSettingTitle = i18n_r('massiveAdmin/MASSIVEADMINSETTINGSTITLE');

	add_action('settings-sidebar','createSideMenu',array($thisfile,$MassiveAdminSettingTitle));

#new option on file browser

	add_action('file-extras','newOptionsMassive');

	


	function newOptionsMassive(){
		include('massiveAdmin/newOptionsMassive.php');
	}


#massive uploader on i18n gallery
	
	add_action('pages-sidebar','massiveUploader');


	if (strpos($_SERVER['REQUEST_URI'], "i18n_gallery&edit") !== false){
		add_action('i18n_gallery-sidebar','massiveUploader');
	};


	if (strpos($_SERVER['REQUEST_URI'], "i18n_gallery&create") !== false){
		add_action('i18n_gallery-sidebar','massiveUploader');
	};

	function massiveUploader(){

		echo' <li style="margin: 0 0 3px 0;" class="masive-uploader">
			<h3>'.i18n_r("massiveAdmin/UPLOADFILE").'</h3>
			<form action="#" class="dropzone"></form>
			</li>';

		$DropFiles = i18n_r('massiveAdmin/DROPFILES');
		echo '<script> const dropFilesName = "'.$DropFiles.'"</script>';
		echo "<script>document.addEventListener('DOMContentLoaded', function(){document.querySelector('.dz-button').innerHTML = dropFilesName});</script>";

		$ds   = DIRECTORY_SEPARATOR;

		$storeFolder = '../data/uploads/';   

		if (!empty($_FILES)) {
			$tempFile = $_FILES['file']['tmp_name'];             
			$targetPath = dirname( __FILE__ ) . $ds. $storeFolder . $ds;  
			$targetFile =  $targetPath. $_FILES['file']['name'];  
			move_uploaded_file($tempFile,$targetFile); 
		};
	}

	add_action('pages-sidebar','compomassive');
	
	function compomassive(){
		echo'<li><a href="components.php" class="compmassive">'.i18n_r("massiveAdmin/EDITCOMPONENTS").'</a> </li>';
	};

	function massiveOption(){

		echo'
			<style>
				.massiveoption form{
					border:solid 1px #ddd;
					width:100%;
					padding:10px;
				}
				.massiveoption select{
					margin:20px 0;
					padding:10px;
					width:100%;
				}
				.massiveoption label{
					font-size:1.2rem;
					margin-bottom:5px;
				}
				.massiveoption textarea{
					height:200px;
					width:100%;
				}
				.massiveoption .save{
					background:#000;
					color:#fff;
					margin-top:15px;
					padding:10px 25px;
					border-radius:20px;
					border:none;
				}
			</style>

			<div class="massiveoption">
				<form action="#" method="post">
					<label for="maintence">'. i18n_r("massiveAdmin/MAINTENANCE_ON").'</label>
					<select name="maintence" class="maintenceselect" id="">
						<option value="no">'.i18n_r("massiveAdmin/NO").'</option>
						<option value="yes">'.i18n_r("massiveAdmin/YES").'</option>
					</select>

					<label for="content">'. i18n_r("massiveAdmin/CONTENT_MAINTENANCE_MODE").'</label>
					<textarea name="content" class="ckeditors">'.file_get_contents('../data/other/massiveadmin/masivemaintence.txt').'</textarea>

					<hr style="margin:50px 0">
					
					<label for="grid" style="margin-top:10px">'.i18n_r("massiveAdmin/TURNONBOOTSTRAPGRID").'</label>
					<select name="grid" class="gridselect" id="">
						<option value="no">'.i18n_r("massiveAdmin/NO").'</option>
						<option value="yes">'.i18n_r("massiveAdmin/YES").'</option>
					</select>

					<label for="gridfront" style="margin-top:10px">'.i18n_r("massiveAdmin/TURNONBOOTSTRAPGRIDONTHEME").'</label>
					<select name="gridfront" class="gridselectfront" id="">
						<option value="no">'.i18n_r("massiveAdmin/NO").'</option>
						<option value="yes">'.i18n_r("massiveAdmin/YES").'</option>
					</select>

					<input type="submit" name="submit" value="'.i18n_r("massiveAdmin/SAVEOPTION").'" class="submit">
				</form>



				<script src="/admin/template/js/ckeditor/ckeditor.js"></script>

				<script>

				const ckeditorReplace = document.querySelector(".ckeditors");

				CKEDITOR.replace(ckeditorReplace, {
					filebrowserBrowseUrl: "filebrowser.php?type=all",	
					filebrowserImageBrowseUrl: "filebrowser.php?type=images",
					filebrowserWindowWidth: "730",
					filebrowserWindowHeight: "500"
					, toolbar: "advanced"
				});

				</script>



			</div>

			<br><hr>
			
			<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_blank" style="display:grid; width:100%;grid-template-columns:1fr auto; padding:10px;">
				<p style="margin:0;padding:0;">'.i18n_r("massiveAdmin/SUPPORT").'</p>
				<input type="hidden" name="cmd" value="_s-xclick" />
				<input type="hidden" name="hosted_button_id" value="KFZ9MCBUKB7GL" />
				<input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donate_SM.gif" border="0" name="submit" title="PayPal - The safer, easier way to pay online!" alt="Donate with PayPal button" />
				<img alt="" border="0" src="https://www.paypal.com/en_PL/i/scr/pixel.gif" width="1" height="1" />
			</form>
		';

		$folder = GSDATAOTHERPATH . '/massiveadmin/';

		if( file_get_contents($folder . 'masivemaintenceOnOff.txt')== 'yes'){
			echo '<script>document.querySelector(".maintenceselect").value = "yes"</script></script>';
		}else{
			echo '<script>document.querySelector(".maintenceselect").value = "no"</script></script>';
		};

		if( file_get_contents($folder . 'gridOnOff.txt')== 'yes'){
			echo '<script>document.querySelector(".gridselect").value = "yes"</script></script>';
		}else{
			echo '<script>document.querySelector(".gridselect").value = "no"</script></script>';
		};

		if( file_get_contents($folder . 'gridfrontOnOff.txt')== 'yes'){
			echo '<script>document.querySelector(".gridselectfront").value = "yes"</script></script>';
		}else{
			echo '<script>document.querySelector(".gridselectfront").value = "no"</script></script>';
		};









		if (isset($_POST['submit'])){
			// Set up the data
			$mdata = $_POST["content"];
			$mdata2= $_POST["maintence"];
			$grid= $_POST["grid"];
			$gridfront= $_POST["gridfront"];
	 
			// Set up the folder name and its permissions
			// Note the constant GSDATAOTHERPATH, which points to /path/to/getsimple/data/other/
			$folder        = GSDATAOTHERPATH . '/massiveadmin/';
			$filename      = $folder . 'masivemaintence.txt';
			$filename2      = $folder . 'masivemaintenceOnOff.txt';
			$filegrid     = $folder . 'gridOnOff.txt';
			$filegridfront     = $folder . 'gridfrontOnOff.txt';
			$chmod_mode    = 0755;
			$folder_exists = file_exists($folder) || mkdir($folder, $chmod_mode);
			 
			// Save the file (assuming that the folder indeed exists)
			if ($folder_exists) {
				file_put_contents($filename, $mdata);
				file_put_contents($filename2, $mdata2);
				file_put_contents($filegrid, $grid);
				file_put_contents($filegridfront, $gridfront);
			};

			
			echo "<script>const Another = '".i18n_r('massiveAdmin/ANOTHERPAGE')."'</script>";
			echo "<script>document.querySelector('.massiveoption').innerHTML = '<span>'+Another+'</span>' </script>";
			
			echo("<meta http-equiv='refresh' content='3'>");

		};	
	}
	
	# activate massive active 
	$folder = GSDATAOTHERPATH . '/massiveadmin/';

	register_style('masivestyle', $SITEURL.'plugins/massiveAdmin/css/style.css', '1.6', 'screen');
	queue_style('masivestyle',GSBACK); 

	if(file_get_contents($folder.'gridfrontOnOff.txt') == 'yes'){
		register_style('massivegrid', $SITEURL.'plugins/massiveAdmin/css/bootstrap-grid.min.css', '1.5', 'screen');
		queue_style('massivegrid',GSFRONT); 
	};

	if(file_get_contents($folder.'gridOnOff.txt')=="yes"){
		add_action('footer','ckeStyleImplementation');
		
		function ckeStyleImplementation(){
			include('massiveAdmin/ckeditorStyleImplementation.php');
		};

	};

	register_script('masivescript', $SITEURL.'plugins/massiveAdmin/js/script.js', '1.4', TRUE);
	queue_script('masivescript',GSBACK); 

	register_style('masivestyledropzone', $SITEURL.'plugins/massiveAdmin/css/dropzone.min.css', '1.1', 'screen');
	queue_style('masivestyledropzone',GSBACK); 

	register_script('masivescriptdropzone', $SITEURL.'plugins/massiveAdmin/js/dropzone.min.js', '1.1',FALSE);
	queue_script('masivescriptdropzone',GSBACK); 

	add_action( 'header', 'masiveicon');
	
	function masiveicon() {
		echo '<link rel="stylesheet" href="https://unicons.iconscout.com/release/v2.1.8/css/unicons.css">';
		echo ' <meta name="viewport" content="width=device-width, initial-scale=1.0">';

		if(file_get_contents('../data/other/massiveadmin/gridOnOff.txt') == 'no'){
			echo'<style>.upcke{display:none !important}</style>';
		};
	};

	add_action('footer','footerCodeMirror');

	function footerCodeMirror(){
		echo'<script>if(document.querySelector(".CodeMirror")!==null){document.querySelector(".CodeMirror textarea").filter="invert(100%)"}</script>';
	};

	add_action('theme-footer','massivemaintence');

	function massivemaintence(){
	
		$maintence = file_get_contents('./data/other/massiveadmin/masivemaintenceOnOff.txt');
		if($maintence == 'yes'){

			echo'<script>console.log("yes")</script>';
			
			echo'
				<style>
					.maintenceOn{
						position:fixed;
						top:0;
						left:0;
						width:100%;
						height:100vh;
						display:flex;
						align-items:center;
						justify-content:center;
						background:#fff;
						z-index:997;
					}
					.maintenceOn p{
						font-size:2rem;
						color:#111;
						text-align:center;
					}
				</style>
			';
			echo'<div class="maintenceOn"><p>';echo file_get_contents('./data/other/massiveadmin/masivemaintence.txt');echo '</p></div>';
		}else{
			};
	};

	if (isset($_COOKIE['GS_ADMIN_USERNAME'])) {
		$cookie_user_id = _id($_COOKIE['GS_ADMIN_USERNAME']);
		if (file_exists(GSUSERSPATH . $cookie_user_id.'.xml')) {
			$datau = getXML(GSUSERSPATH  . $cookie_user_id.'.xml');
			$USR = stripslashes($datau->USR);
			$HTMLEDITOR = $datau->HTMLEDITOR;
			$TIMEZONE = $datau->TIMEZONE;
			$LANG = $datau->LANG;

		add_action('theme-header','massivefronter'); 

		function massivefronter(){
			echo '
				<style>
					@import url("https://fonts.googleapis.com/css2?family=Lato:wght@300;400&display=swap");
					@import url("https://unicons.iconscout.com/release/v2.1.9/css/unicons.css");
					body{
						padding-top:38px;
					}
					.m-toper{
						font-family: "Lato", sans-serif;
						position:fixed;
						top:0;
						left:0;
						width:100%;
						height:38px;
						background:#111;
						z-index:999;
					}
					.m-toper ul{
						margin:0;
						padding:10px 0;
					}
					.massivepages,.massiveedit{
						padding:10px 0;
						display:flex;
						list-style-type:none;
					}
					.massivepages li a,.massiveedit li a{
						color:#fff;
						margin-left:15px;
						text-decoration:none;
						font-size:0.9rem;
						transition:all 250ms linear;
					}
						.massivepages li a:hover,.massiveedit li a:hover{
						opacity:0.8;
					}
					.m-toper-container{
						width:96%;
						margin:0 auto;
						max-width:1240px;
						display:flex;
						justify-content:space-between;
					}
					@media(max-width:768px){
						.massivepages{display:none}
						.massiveedit{
							width:100%;
							margin:0 auto;
							justify-content:center;
						}
						.massiveedit li{
							margin-right:15px;
						}
					}
					.maintenceOn{
						display:none !important;
					}
				</style>';

				echo'
				<div class="m-toper">
					<div class="m-toper-container">
						<ul class="massiveedit">
							<li><a href="'; get_site_url();echo 'admin/edit.php?id=';get_page_slug();echo'"><i class="uil uil-edit"></i>';i18n('EDITPAGE_TITLE');echo'</a></li>';
							echo'<li><a href="'; get_site_url();echo 'admin/edit.php"><i class="uil uil-plus-circle"></i>';i18n('SIDE_CREATE_NEW');echo'</a></li>';
						echo'</ul>';
						echo'
						<ul class="massivepages">
							<li><a href="'; $GSADMINPATH; echo'/admin/pages.php"><i class="uil uil-desktop"></i>';i18n('TAB_PAGES');echo' </a></li>';
							echo'<li><a href="'; $GSADMINPATH;echo'/admin/upload.php"><i class="uil uil-file"></i>';i18n('TAB_FILES');echo'</a></li>';
							echo'<li><a href="';$GSADMINPATH;echo'/admin/theme.php"><i class="uil uil-paint-tool"></i>'; i18n('TAB_THEME');echo'</a></li>';
							echo'<li><a href="';$GSADMINPATH;echo'/admin/backups.php"><i class="uil uil-save"></i>'; i18n('TAB_BACKUPS');echo'</a></li>';
							echo'<li><a href="';$GSADMINPATH;echo'/admin/plugins.php"><i class="uil uil-plug"></i>'; i18n('PLUGINS_NAV');echo'</a></li>';
							echo'<li> <a href="';$GSADMINPATH;echo'/admin/settings.php"><i class="uil uil-setting"></i></a>';
							echo'<li><a href="';$GSADMINPATH;echo'/admin/load.php?id=massiveAdmin"><i class="uil uil-constructor"></i></a></li>';
							echo'<li><a href="';$GSADMINPATH;echo'/admin/logout.php"><i class="uil uil-power"></i></a>';
						echo'</ul>';

					echo'
					</div>
				</div>';
		}
		} else {
			$USR = null;
		};
	};

	add_action('index-login','scriptHeader');

	function scriptHeader(){
		echo'<link rel="stylesheet" href="https://unicons.iconscout.com/release/v2.1.9/css/unicons.css">';
		echo'<i class="uil uil-user-circle" style="font-size:5rem;margin-bottom:1rem;"></i>';
		echo' <meta name="viewport" content="width=device-width, initial-scale=1.0">';
	};

	$massiveAdminSettingsTitle = i18n_r("massiveAdmin/MASSIVEADMINSETTINGSTITLE");

?>